Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.context.annotation
Enum FilterType

    java.lang.Object
      java.lang.Enum<FilterType>
          org.springframework.context.annotation.FilterType

All Implemented Interfaces:
  Serializable, Comparable<FilterType>

    public enum FilterType

extends Enum<FilterType>

Enumeration of the valid type filters to be added for annotation-driven configuration.

Since:
  2.5
Author:
  Mark Fisher

Enum Constant Summary
`ANNOTATION`
`ASPECTJ_PATTERN`
`ASSIGNABLE_TYPE`
`REGEX_PATTERN`

Method Summary
`static FilterType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FilterType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANNOTATION

    public static final FilterType ANNOTATION

### ASPECTJ_PATTERN

    public static final FilterType ASPECTJ_PATTERN

### ASSIGNABLE_TYPE

    public static final FilterType ASSIGNABLE_TYPE

### REGEX_PATTERN

    public static final FilterType REGEX_PATTERN

Method Detail

### values

    public static FilterType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FilterType c : FilterType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FilterType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2008 The Spring Framework.